<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Veranstalter\TeilnehmerInfo\Detailsreiter\Bankverbindungen\Bankdaten;

class BankdatenController extends \Kufer\Web\KuferTools\Basis\TeilnehmerInfo\Detailsreiter\Bankverbindungen\Bankdaten\BankdatenController
{
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new BankdatenUseCase(
      $this->getRequestObj()
    );
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new BankdatenPresenter($pUseCaseResponse);
  }
}